/**
 * 初始化人才认定申报详情对话框
 */
var locked = false;
var step = $("#step").val();
var TalentInfoInfoDlg = step == 1 ? {
    talentInfoInfoData: {},
    validateFields: {
        source_county: {validators: {notEmpty: {message: '入选来源县市区不能为空'}}},
        enterprise_id: {validators: {notEmpty: {message: '所属企业不能为空'}}},
        talent_type: {validators: {notEmpty: {message: '人才类型不能为空'}}},
        enterprise_tag: {validators: {notEmpty: {message: '单位标签不能为空'}}},
        enterprise_name: {validators: {notEmpty: {message: '单位名称不能为空'}}},
        address: {validators: {notEmpty: {message: '所属街道不能为空'}}},
        industry_field: {validators: {notEmpty: {message: '产业领域不能为空'}}},
        name: {validators: {notEmpty: {message: '姓名不能为空'}}},
        card_type: {validators: {notEmpty: {message: '证件类型不能为空'}}},
        card_number: {
            validators: {
                notEmpty: {message: '证件号码不能为空'},
                regexp: {
                    regexp: /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/,
                    message: "身份证号码格式不正确"
                }
            }
        },
        sex: {validators: {notEmpty: {message: '性别不能为空'}}},
        birthday: {validators: {notEmpty: {message: '出生日期不能为空'}}},
        nationality: {validators: {notEmpty: {message: '国籍/地区不能为空'}}},
        province: {validators: {notEmpty: {message: '户籍省份不能为空'}}},
        city: {validators: {notEmpty: {message: '户籍市不能为空'}}},
        nation: {validators: {notEmpty: {message: '民族不能为空'}}},
        politics: {validators: {notEmpty: {message: '政治面貌不能为空'}}}
    }
} : {
    talentInfoInfoData: {},
    validateFields: {
        apply_year: {validators: {notEmpty: {message: '申报年度不能为空'}}},
        fst_work_time: {validators: {notEmpty: {message: '首次来晋工作时间不能为空'}}},
        import_way: {validators: {notEmpty: {message: '引进方式不能为空'}}},
        cur_entry_time: {validators: {notEmpty: {message: '本单位入职时间不能为空'}}},
        position: {validators: {notEmpty: {message: '本单位现任职务不能为空'}}},
        source: {validators: {notEmpty: {message: '申报来源不能为空'}}},
        talent_arrange: {validators: {notEmpty: {message: '人才层次不能为空'}}},
        talent_condition: {validators: {notEmpty: {message: '认定条件不能为空'}}},
        highest_degree: {validators: {notEmpty: {message: '最高学历不能为空'}}},
        graduate_school: {validators: {notEmpty: {message: '毕业院校不能为空'}}},
        major: {validators: {notEmpty: {message: '专业不能为空'}}},
        bank: {
            validators: {
                notEmpty: {
                    message: '开户银行不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行$/,
                    message: "开户银行格式不正确"
                }
            }
        },
        bank_number: {
            validators: {
                notEmpty: {
                    message: '银行行号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行行号格式不正确"
                }
            }
        },
        bank_branch_name: {
            validators: {
                notEmpty: {
                    message: '开户银行网点不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行[\u4e00-\u9fa5]*省?[\u4e00-\u9fa5]+市[\u4e00-\u9fa5]*$/,
                    message: "开户银行格式不正确"
                }
            }
        },
        bank_account: {
            validators: {
                notEmpty: {
                    message: '银行账号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行账号格式不正确"
                }
            }
        },
        phone: {
            validators: {
                notEmpty: {
                    message: '手机号码不能为空'
                },
                regexp: {
                    regexp: /0?(13|14|15|17|18|19)[0-9]{9}/,
                    message: "手机号码格式不正确"
                }
            }
        },
        email: {
            validators: {
                notEmpty: {
                    message: '电子邮箱不能为空'
                },
                emailAddress: {
                    message: "电子邮箱格式不正确"
                }
            }
        }
    }
};

/**
 * 清除数据
 */
TalentInfoInfoDlg.clearData = function () {
    this.talentInfoInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentInfoInfoDlg.set = function (key, val) {
    var dis = $("#" + key).attr("disabled");
    if (dis == "disabled") {
        $("#" + key).removeAttr("disabled");
    }
    this.talentInfoInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    if (dis == "disabled") {
        $("#" + key).prop("disabled", true);
    }
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentInfoInfoDlg.get = function (key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentInfoInfoDlg.close = function () {
    parent.layer.close(window.parent.TalentInfo.layerIndex);
}

/**
 * 收集数据
 */
TalentInfoInfoDlg.collectData = function () {
    this
            .set('id')
            .set('type')
            .set('talent_type')
            .set('tax_insurance_month')
            .set('labor_contract_rangetime')
            .set('enterprise_id')
            .set('name')
            .set('photo')
            .set('card_type')
            .set('card_number')
            .set('sex')
            .set('birthday')
            .set('nationality')
            .set('province')
            .set('city')
            .set('county')
            .set('nation')
            .set('politics')
            .set('talent_arrange')
            .set('talent_condition')
            .set('highest_degree')
            .set('graduate_school')
            .set('major')
            .set('professional')
            .set('bank')
            .set('bank_number')
            .set('bank_branch_name')
            .set('bank_account')
            .set('study_abroad')
            .set('abroad_school')
            .set('abroad_major')
            .set('phone')
            .set('email')
            .set('apply_year')
            .set('import_way')
            .set('fst_work_time')
            .set('cur_entry_time')
            .set('position')
            .set('source')
            .set('fujian_highcert_pubtime')
            .set('fujian_highcert_exptime')
            .set('quanzhou_highcert_pubtime')
            .set('quanzhou_highcert_exptime');
    if ($("#province").val() != null && $("#province").val() != '') {
        this.talentInfoInfoData["province_name"] = $("#province").find("option:selected").text();
    }
    if ($("#city").val() != null && $("#city").val() != '') {
        this.talentInfoInfoData["city_name"] = $("#city").find("option:selected").text();
    }
    if ($("#county").val() != null && $("#county").val() != '') {
        this.talentInfoInfoData["county_name"] = $("#county").find("option:selected").text();
    }
    if ($("#source_city").val() != null && $("#source_city").val() != '') {
        this.talentInfoInfoData["source_city_name"] = $("#source_city").find("option:selected").text();
    }
    if ($("#source_county").val() != null && $("#source_county").val() != '') {
        this.talentInfoInfoData["source_county_name"] = $("#source_county").find("option:selected").text();
    }
}

/**
 * 验证数据
 */
TalentInfoInfoDlg.validate = function () {
    $('#talentInfoForm').data("bootstrapValidator").resetForm();
    $('#talentInfoForm').bootstrapValidator('validate');
    return $("#talentInfoForm").data('bootstrapValidator').isValid();
}


/**
 * 提交添加
 */
TalentInfoInfoDlg.addSubmit = function () {
    this.clearData();
    this.collectData();
    if (!TalentInfoInfoDlg.validate()) {
        return;
    }
    var id = $('#id').val();
    $("#province_name").val($("#province").find("option:selected").text());
    $("#city_name").val($("#city").find("option:selected").text());
    if ($("#county").val() != null && $("#county").val() != '') {
        $("#county_name").val($("#county").find("option:selected").text());
    }
    if ($("#source_city").val() != null && $("#source_city").val() != '') {
        $("#source_city_name").val($("#source_city").find("option:selected").text());
    }
    if ($("#source_county").val() != null && $("#source_county").val() != '') {
        $("#source_county_name").val($("#source_county").find("option:selected").text());
    }
    if (id != null && id != '') {
        if (!TalentInfoInfoDlg.validateIsEdit())
            return;
    }
    $("select").each(function () {
        $(this).removeAttr("disabled");
    });
    if (locked) {
        return;
    }
    locked = true;
    $("#talentInfoForm")[0].submit();
}

//回调
TalentInfoInfoDlg.infoCallback = function (data) {
    locked = false;
    TalentInfoInfoDlg.setNoChangeField();
    Feng.info(data.msg);
    if (data.code == 200) {
        window.parent.TalentInfo.table.refresh();
        $("#id").val(data.obj.id);
        $("#fileLi").removeAttr("style");
        $("#checkState").val(data.obj.checkState);
    }
}


/**
 * 获取人才认定
 */
TalentInfoInfoDlg.getIdentifyCondition = function () {
    var level = $("#talent_arrange").val();
    var id = $('#id').val();
    Feng.addAjaxSelect({
        "id": "talent_condition",
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/api/findIdentifyConditionByLevel/level/" + level + "/id/" + id
    });
    $("#talent_condition").trigger('chosen:updated');
}

TalentInfoInfoDlg.bankChange = function () {
    var bank = $("#bank").val();
    if ($.trim(bank) == '中国工商银行') {
        $("#bank_number").val('102391050013');
    } else {
        $("#bank_number").val('');
    }
}

TalentInfoInfoDlg.changeStudyAbroad = function () {
    var is_abroad = $("#study_abroad").val();
    if (is_abroad == 1) {
        $("#abroad_school").parent().css("display", "block");
        $("#abroad_major").parent().css("display", "block");
        $('#talentInfoForm').bootstrapValidator('addField', "abroad_school", {validators: {notEmpty: {message: '毕业院校不能为空（留学）'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "abroad_major", {validators: {notEmpty: {message: '专业不能为空（留学）'}}});
    } else {
        $("#abroad_school").val("").parent().css("display", "none");
        $("#abroad_major").val("").parent().css("display", "none");
        $('#talentInfoForm').bootstrapValidator('removeField', "abroad_school");
        $('#talentInfoForm').bootstrapValidator('removeField', "abroad_major");
    }
}


/**
 * 加载市
 */
TalentInfoInfoDlg.afterSelectProvince = function () {
    var province = $("#province").val();
    $("#city").empty();
    $("#county").empty();
    if (province == null || province == '') {
        return;
    }
    Feng.addAjaxSelect({
        "id": "city",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/tool/findCityByProvinceSelect/code/" + province
    });
}
/**
 * 加载县
 */
TalentInfoInfoDlg.afterSelectCity = function () {
    var city = $("#city").val();
    $("#county").empty();
    if (city == null || city == '') {
        return;
    }
    Feng.addAjaxSelect({
        "id": "county",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/tool/findCountyByCitySelect/code/" + city
    });
}


TalentInfoInfoDlg.talentTypeChange = function () {
    var talent_type = $("#talent_type").val();
    $("#tax_insurance_month").val("").parent().css("display", "none");
    $("#labor_contract_rangetime").val("").parent().css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "labor_contract_rangetime");
    $('#talentInfoForm').bootstrapValidator('removeField', "tax_insurance_month");
    switch (talent_type) {
        case "1":
        case "2":
            $("#tax_insurance_month").removeAttr("disabled").parent().css("display", "block");
            $('#talentInfoForm').bootstrapValidator('addField', "tax_insurance_month", {
                validators: {
                    notEmpty: {message: '在我市缴交社会保险或个人所得税月份不能为空'},
                    regexp: {
                        regexp: /^\d+$/,
                        message: "在我市缴交社会保险或个人所得税月份格式不正确"
                    }
                }
            });
            break;
        case "3":
            $("#labor_contract_rangetime").removeAttr("disabled").parent().css("display", "block");
            $('#talentInfoForm').bootstrapValidator('addField', "labor_contract_rangetime", {validators: {notEmpty: {message: '劳动合同起止时间'}}});
            break;
    }
}

TalentInfoInfoDlg.sourceChange = function () {
    var source = $("#source").val();
    $("#source_batch").val("").parent().css("display", "none");
    $("#fujian_highcert_pubtime").val("").parent().css("display", "none");
    $("#fujian_highcert_exptime").val("").parent().css("display", "none");
    $("#quanzhou_highcert_pubtime").val("").parent().css("display", "none");
    $("#quanzhou_highcert_exptime").val("").parent().css("display", "none");
    $("#source_city").val("").parent().css("display", "none");
    $("#source_county").val("").parent().css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_batch");
    $('#talentInfoForm').bootstrapValidator('removeField', "fujian_highcert_pubtime");
    $('#talentInfoForm').bootstrapValidator('removeField', "fujian_highcert_exptime");
    $('#talentInfoForm').bootstrapValidator('removeField', "quanzhou_highcert_pubtime");
    $('#talentInfoForm').bootstrapValidator('removeField', "quanzhou_highcert_exptime");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_city");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_county");
    switch (source) {
        case "1":
        case "3":
            $("#source_batch").parent().css("display", "block");
            $("#fujian_highcert_pubtime").parent().css("display", "block");
            $("#fujian_highcert_exptime").parent().css("display", "block");
            $('#talentInfoForm').bootstrapValidator('addField', "source_batch", {validators: {notEmpty: {message: '申报来源批次不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "fujian_highcert_pubtime", {validators: {notEmpty: {message: '福建省高层次人才证书发证日期不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "fujian_highcert_exptime", {validators: {notEmpty: {message: '福建省高层次人才证书有效期不能为空'}}});
            break;
        case "2":
        case "4":
            $("#source_batch").parent().css("display", "block");
            $("#quanzhou_highcert_pubtime").parent().css("display", "block");
            $("#quanzhou_highcert_exptime").parent().css("display", "block");
            $('#talentInfoForm').bootstrapValidator('addField', "source_batch", {validators: {notEmpty: {message: '申报来源批次不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "quanzhou_highcert_pubtime", {validators: {notEmpty: {message: '泉州高层次人才证书发证日期不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "quanzhou_highcert_exptime", {validators: {notEmpty: {message: '泉州高层次人才证书有效期不能为空'}}});
            break;
    }
    if (source == 3) {
        //显示入选来源地级市除泉
        $("#source_city").parent().css("display", "block");
        Feng.addAjaxSelect({
            "id": "source_city",
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": "/common/tool/findChildAreaByCode/code/35/no/350500"
        });
        $('#talentInfoForm').bootstrapValidator('addField', "source_city", {validators: {notEmpty: {message: '入选来源地级市不能为空'}}});
    }
    if (source == 4) {
        //显示入选来源县市区除晋
        $("#source_county").parent().css("display", "block");
        Feng.addAjaxSelect({
            "id": "source_county",
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": "/common/tool/findChildAreaByCode/code/3505/no/350582"
        });
        $('#talentInfoForm').bootstrapValidator('addField', "source_county", {validators: {notEmpty: {message: '入选来源县市区不能为空'}}});
    }
}


//初始化附件类别表单
TalentInfoInfoDlg.initFileTable = function () {
    var queryData = {};
    queryData['project'] = CONFIG.project_rcrd;
    queryData['type'] = $("#type").val();
    queryData['checkState'] = $("#checkState").val();
    $("#fileTable").bootstrapTable({
        url: "/common/api/findCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false, // 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false, // 是否显示刷新按钮
        clickToSelect: true, // 是否启用点击选中行
        singleSelect: true, // 设置True 将禁止多选
        striped: true, // 是否显示行间隔色
        escape: true,
        pagination: false, // 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server", // 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true, //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData, params)
        },
        rowStyle: function (row, index) {
            return {classes: "info"};
        },
        columns: TalentInfoInfoDlg.initFileTypeColumn(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax("/common/api/listTalentFile", function (data) {
                if (data == null || data.length == 0) {
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                // var files = $("#files").val();
                // var checkState = $("#checkState").val();
                for (var key in data) {
                    var btn = TalentInfoInfoDlg.validUploadButton(2, row, row.id, data[key].id);
                    // if(checkState!=10 || (checkState==10 && files.indexOf(row.id)!=-1)){
                    //     btn = "<button type=\'button\' onclick=\"TalentInfoInfoDlg.checkFile(this,'"+row.fState+"','"+row.id+"','"+data[key].id+"')\" style=\'margin-right: 10px\' class=\"btn btn-xs btn-info\">" +
                    //         "<i class=\"fa fa-paste\"></i>修改" +
                    //         "</button>" +
                    //         "<button type='button' onclick=\"TalentInfoInfoDlg.deleteFile('"+data[key].id+"','"+row.fState+"')\" class=\"btn btn-xs btn-danger\">" +
                    //         "<i class=\"fa fa-times\"></i>删除" +
                    //         "</button>";
                    // }else{
                    //     btn = "审核通过，无法修改删除";
                    // }
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn + 1, data[key].url.length);
                    var imgStr = "";
                    if (suffix == "pdf" || suffix == "PDF") {
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS') {
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    } else {
                        imgStr = '<img class=\"imgUrl\"  src=\"' + data[key].url + '\" style=\"width:25px;height:25px;\">';
                    }

                    html = html + '<li style="display: none">' + data[key].id + '</li>\n' +
                            '<li style="width: 80%;padding-top: 5px;">' + data[key].orignName + '</li>\n' +
                            '<li style="width: 10%;">' + imgStr + '</li>\n' +
                            '<li style="width: 10%;padding-top: 2px;">' + btn + '</li>';
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({fullscreen: false});
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });

}

//校验是否保存基础信息
TalentInfoInfoDlg.validId = function () {
    var id = $("#id").val();
    if (id != null && id != '') {
        $("#fileLi").removeAttr("style");
    } else {
        $("#fileLi").attr("style", "pointer-events: none");
    }
}
//选择附件并显示附件名
TalentInfoInfoDlg.checkFile = function (content, state, fileTypeId, fileId) {
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    $("#upload_file ").unbind("change");
    $("#upload_file ").change(function () {
        TalentInfoInfoDlg.upload(fileTypeId, fileId);
    });
    $('#upload_file').val("");
    $('#upload_file').click();
}
//上传附件
TalentInfoInfoDlg.upload = function (fileTypeId, fileId) {
    var id = $("#id").val();
    if (id == null || id == '') {
        Feng.info("请先添加基本信息并保存后再试");
        return;
    }
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    if (fileId != null && fileId != 'null') {
        $("#fileId").val(fileId)
    } else {
        $("#fileId").val("");
    }
    $("#mainId").val(id);
    $("#fileTypeId").val(fileTypeId);
    var index = layer.load(0, {shade: false, time: 0});
    $("#index").val(index);
    $("#uploadForm").submit();
}
//删除附件
TalentInfoInfoDlg.deleteFile = function (id, state) {
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/common/api/deleteFile", function (data) {
            if (data.code = 200) {
                Feng.success(data.msg);
                $("#fileTable").bootstrapTable("refresh", {});
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("删除失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.set("type", 1);
        ajax.start();
    }
    Feng.confirm("删除后无法恢复，确认删除吗?", operation);
}

/**
 * 提交审核
 */
TalentInfoInfoDlg.submitToCheck = function () {
    var id = $("#id").val();
    if (id == null || id == "") {
        Feng.info("请先填写基础信息并上传附件");
        return;
    }
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/enterprise/talent/submit", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                // $("#checkState").val(data.obj);
                window.parent.TalentInfo.table.refresh();
                TalentInfoInfoDlg.close();
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.start();
    }
    Feng.confirm("请确认基础信息已核对无误，相应附件已上传，一旦提交，无法修改", operation);
}

/**
 * 校验是否可以修改/提交审核
 */
TalentInfoInfoDlg.validateIsEdit = function () {
    var checkState = $("#checkState").val();
    if (checkState != 0 && checkState != 1 && checkState != 3 && checkState != 5) {
        if (checkState == 13) {
            Feng.error("您的申报审核不通过，无法再修改");
            return false;
        } else if (checkState == 11) {
            Feng.error("您的申报已审核通过，无法再修改");
            return false;
        } else {
            Feng.error("您的申报正在审核中，请耐心等待");
            return false;
        }
    }
    return true;
}

/**
 * 初始化表格的列
 */
TalentInfoInfoDlg.initFileTypeColumn = function () {
    return [
        {field: 'selectItem', checkbox: false, visible: false},
        {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle', width: "30%", 'class': 'uitd_showTip',
            formatter: function (value, row, index) {
                if (row.must == 1) {
                    return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> ' + value;
                }
                if (row.must == 2) {
                    return '<i class="fa fa-paste"></i>' + value;
                }
            }
        },
        {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle', width: "8%",
            formatter: function (value, row, index) {
                if (value == null || value == '' || value == 'null') {
                    return '无';
                }
                return "<button type='button' onclick=\"TalentInfoInfoDlg.downloadFile('" + row.id + "',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                        "<i class=\"fa fa-download\"></i>下载" +
                        "</button>";
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle', width: "52%", 'class': 'uitd_showTip'},
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle', width: "10%",
            formatter: function (value, row, index) {
                return TalentInfoInfoDlg.validUploadButton(1, row, value);
            }
        }
    ]
};

/**
 * 校验是否显示按钮
 * @param type      类型  1-上传按钮，2-修改删除按钮
 * @param row
 * @returns {string}
 */
TalentInfoInfoDlg.validUploadButton = function (type, row, fileTypeId, fileId) {
    var files = $("#files").val();
    var checkState = $("#checkState").val();
    if (Feng.isEmptyStr(checkState) || checkState == 0 || checkState == 1 || checkState == 3 || checkState == 5) {
        if ((checkState == 3 || checkState == 5) && row.step == 1)
            return "";
        if (type == 1) {          //上传
            return "<button type='button' onclick=\"TalentInfoInfoDlg.checkFile(this,'" + row.fState + "','" + fileTypeId + "','" + null + "')\" style='margin-right: 10px' class=\"btn btn-xs btn-info\">" +
                    "<i class=\"fa fa-upload\"></i>上传" +
                    "</button>";
        } else {
            return "<button type=\'button\' onclick=\"TalentInfoInfoDlg.checkFile(this,'" + row.fState + "','" + row.id + "','" + fileId + "')\" style=\'margin-right: 10px\' class=\"btn btn-xs btn-info\">" +
                    "<i class=\"fa fa-paste\"></i>修改" +
                    "</button>" +
                    "<button type='button' onclick=\"TalentInfoInfoDlg.deleteFile('" + fileId + "','" + row.fState + "')\" class=\"btn btn-xs btn-danger\">" +
                    "<i class=\"fa fa-times\"></i>删除" +
                    "</button>";
        }
    } else {
        return type == 1 ? "" : "";
    }
}


//回调
TalentInfoInfoDlg.callBack = function (data) {
    layer.close(data.obj);
    Feng.info(data.msg);
    if (data.code == 200) {
        $("#fileTable").bootstrapTable("refresh", {});
    }
}
TalentInfoInfoDlg.downloadFile = function (id, type) {
    window.location.href = Feng.ctxPath + "/api/common/downloadFile?id=" + id + "&type=" + type;
}

//设置不可修改的字段
TalentInfoInfoDlg.setNoChangeField = function () {
    var checkState = $("#checkState").val();
    var fields = $("#fields").val();
    if (checkState == 8) {
        $("input,textarea").each(function () {
            $(this).attr("readonly", "readonly");
        });
        $("select").each(function () {
            $(this).attr("disabled", "disabled");
        });
        if (fields != null && fields != '') {
            var arr = fields.split(",");
            for (var key in arr) {
                var name = $("#" + arr[key]).prop("tagName");
                if (name == 'select' || name == 'SELECT') {
                    $("#" + arr[key]).removeAttr("disabled");
                }
                if (name == "input" || name == 'textarea' || name == "INPUT" || name == 'TEXTAREA') {
                    $("#" + arr[key]).removeAttr("readonly");
                }
            }
        }
    }
}
TalentInfoInfoDlg.__initValidateCondition = function () {
    var step = $("#step").val();
    if (step == 1) {
        $('#talentInfoForm').bootstrapValidator('addField', "source_county", {validators: {notEmpty: {message: '入选来源县市区不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "enterprise_id", {validators: {notEmpty: {message: '所属企业不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "talent_type", {validators: {notEmpty: {message: '人才类型不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "enterprise_tag", {validators: {notEmpty: {message: '单位标签不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "enterprise_name", {validators: {notEmpty: {message: '单位名称不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "address", {validators: {notEmpty: {message: '所属街道不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "industry_field", {validators: {notEmpty: {message: '产业领域不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "name", {validators: {notEmpty: {message: '姓名不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "card_type", {validators: {notEmpty: {message: '证件类型不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "card_number", {validators: {notEmpty: {message: '证件号码不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "sex", {validators: {notEmpty: {message: '性别不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "birthday", {validators: {notEmpty: {message: '出生日期不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "nationality", {validators: {notEmpty: {message: '国籍/地区不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "province", {validators: {notEmpty: {message: '户籍省份不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "city", {validators: {notEmpty: {message: '户籍市不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "nation", {validators: {notEmpty: {message: '民族不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "politics", {validators: {notEmpty: {message: '政治面貌不能为空'}}});
    } else {
        $('#talentInfoForm').bootstrapValidator('addField', "apply_year", {validators: {notEmpty: {message: '申报年度不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "fst_work_time", {validators: {notEmpty: {message: '首次来晋工作时间不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "import_way", {validators: {notEmpty: {message: '引进方式不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "cur_entry_time", {validators: {notEmpty: {message: '本单位入职时间不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "position", {validators: {notEmpty: {message: '本单位现任职务不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "source", {validators: {notEmpty: {message: '申报来源不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "talent_arrange", {validators: {notEmpty: {message: '人才层次不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "talent_condition", {validators: {notEmpty: {message: '认定条件不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "highest_degree", {validators: {notEmpty: {message: '最高学历不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "graduate_school", {validators: {notEmpty: {message: '毕业院校不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "major", {validators: {notEmpty: {message: '专业不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "bank", {
            validators: {
                notEmpty: {
                    message: '开户银行不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行$/,
                    message: "开户银行格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "bank_number", {
            validators: {
                notEmpty: {
                    message: '银行行号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行行号格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "bank_branch_name", {
            validators: {
                notEmpty: {
                    message: '开户银行网点不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行[\u4e00-\u9fa5]*省?[\u4e00-\u9fa5]+市[\u4e00-\u9fa5]*$/,
                    message: "开户银行格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "bank_account", {
            validators: {
                notEmpty: {
                    message: '银行账号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行账号格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "phone", {
            validators: {
                notEmpty: {
                    message: '手机号码不能为空'
                },
                regexp: {
                    regexp: /0?(13|14|15|17|18|19)[0-9]{9}/,
                    message: "手机号码格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "email", {

            validators: {
                notEmpty: {
                    message: '电子邮箱不能为空'
                },
                emailAddress: {
                    message: "电子邮箱格式不正确"
                }
            }
        });

    }
}
$("#card_type").change(function () {
    async_padding($("#card_number").val().trim(), $(this).val());
})
$("#card_number").blur(function () {
    async_padding($(this).val().trim(), $("#card_type").val());
})
function async_padding(card_number, card_type) {
    if (card_number != "" && card_number.length == 18 && card_type == "1") {
        var year = card_number.substring(6, 10);
        var month = card_number.substring(10, 12);
        var day = card_number.substring(12, 14);
        var birthday = year + "-" + month + "-" + day;
        var rule = /\d{4}-\d{2}-\d{2}/;
        if (rule.test(birthday))
            $("#birthday").val(birthday);
        var num = card_number.substring(17, 1);
        if (num % 2 == 0) {
            $("#sex").val(2);
        } else {
            $("#sex").val(1);
        }
    }
}
$(function () {
    Feng.initValidatorTip("talentInfoForm", TalentInfoInfoDlg.validateFields);
    var id = $("#id").val();
    var checkState = $("#checkState").val();
    //批量加载字典表数据
    var arr = [
        {"name": "enterprise_tag", "code": "enterprise_tag"},
        {"name": "nation", "code": "nation"},
        {"name": "talent_arrange", "code": "talent_arrange"},
        {"name": "nationality", "code": "nationality"},
        {"name": "politics", "code": "politics"},
        {"name": "highest_degree", "code": "highest_degree"},
        {"name": "industry_field", "code": "industry_field"},
        {"name": "source", "code": "source"},
        {"name": "import_way", "code": "import_way"},
        {"name": "address", "code": "street"}];
    Feng.findChildDictBatch(JSON.stringify(arr))
    //加载省份
    Feng.addAjaxSelect({
        "id": "province",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/getProvinceSelect"
    });
    //批量加载时间控件
    $(".date").each(function () {
        laydate.render({
            elem: this
            , type: 'date'
            , trigger: 'click'
        });
    });
    $(".rangedate").each(function () {
        laydate.render({
            elem: this,
            type: "date",
            range: true,
            trigger: "click"
        })
    })
    if (id != null && id != '') {
        //select初始化
        $("select").each(function () {
            $(this).val($(this).attr("value")).trigger("change");
        });
        Feng.getCheckLog("logTable", {"type": CONFIG.project_rcrd, "mainId": id, "typeFileId": "", "active": 1})
    }
    $("#talent_type").val($("#talent_type").attr("value"));
    $("#card_type").val($("#card_type").attr("value"));
    $("#sex").val($("#sex").attr("value"));
    $("#enterprise_tag").val($("#enterprise_tag").attr("value"));
    $("#address").val($("#address").attr("value"));
    $("#nation").val($("#nation").attr("value"));
    $("#nationality").val($("#nationality").attr("value"));
    $("#industry_field").val($("#industry_field").attr("value"));
    $("#province").val($("#province").attr("value"));
    TalentInfoInfoDlg.afterSelectProvince();
    $("#city").val($("#city").attr("value"));
    TalentInfoInfoDlg.afterSelectCity();
    $("#county").val($("#county").attr("value"));
    TalentInfoInfoDlg.getIdentifyCondition();
    $("#politics").val($("#politics").attr("value"));
    $("#talent_arrange").val($("#talent_arrange").attr("value"));
    $("#talent_condition").val($("#talent_condition").attr("value"));
    TalentInfoInfoDlg.validId();
    $("#photo").change(function (e) {
        var tag = e.target;
        var file = tag.files[0];
        var imgSrc;
        var reader = new FileReader();
        reader.readAsDataURL(file);
        reader.onload = function () {
            imgSrc = this.result;
            $("#photoImg").attr("src", imgSrc);
        };
    });
    TalentInfoInfoDlg.setNoChangeField();
    $("#talent_condition").on('chosen:ready', function (e, params) {
        $(".chosen-container-single .chosen-single").css("padding", "4px 0px 0px 4px");
    });
    $("#talent_condition").chosen({
        search_contains: true,       //关键字模糊搜索。设置为true，只要选项包含搜索词就会显示；设置为false，则要求从选项开头开始匹配
        disable_search: false,
        width: "100%",
        enable_split_word_search: true,
        rtl: true
    });
    TalentInfoInfoDlg.initFileTable();
});


